import { Component, OnInit } from '@angular/core';
import { AssignmentsService } from '../shared/assignments.service';
import { Assignment } from './assignment.model';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css'],
})
export class AssignmentsComponent implements OnInit {
  titre = 'Liste des assignments : ';
  formVisible = false;

  assignmentSelectionne = null;

  assignments: Assignment[];

  // ici injection des services utilisés, en pas oublier "private"
  constructor(private assignmentsService: AssignmentsService) {}

  ngOnInit(): void {
    // appelée avant affichage du composant
    console.log(
      'Composant assignments, dans le ngOnInit, on demande aux service le tableau des assignments'
    );
    this.assignmentsService.getAssignments().subscribe((assignments) => {
      console.log('Dans le subscribe...');
      this.assignments = assignments;
    });
  }

  assignmentClicke(assignment) {
    this.assignmentSelectionne = assignment;
    console.log('Assignent selectionné : ' + assignment.nom);
  }

  onAddAssignmentBtnClick() {
    this.formVisible = true;
  }

  onNouvelAssignment(event: Assignment) {
    // event vient du composant fils add-assignment
    //this.assignments.push(event);
    this.assignmentsService.addAssignment(event)
      .subscribe((message) => {
        console.log('Assignment ajouté');
        this.formVisible = false; // on recache le formulaire et on affiche la liste
      });
  }
}
